Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class KeyPairGenerator

    java.lang.Object
      com.mindbright.jca.security.KeyPairGeneratorSpi
          com.mindbright.jca.security.KeyPairGenerator

Direct Known Subclasses:
  DHKeyPairGenerator, DSAKeyPairGenerator, RSAKeyPairGenerator

public class KeyPairGenerator
extends KeyPairGeneratorSpi

Constructor Summary
`protected` | `KeyPairGenerator(java.lang.String algorithm)`

Method Summary
`KeyPair` | `generateKeyPair()`
`KeyPair` | `genKeyPair()`
`java.lang.String` | `getAlgorithm()`
`static KeyPairGenerator` | `getInstance(java.lang.String algorithm)`
`static KeyPairGenerator` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`Provider` | `getProvider()`
`void` | `initialize(AlgorithmParameterSpec params)`
`void` | `initialize(AlgorithmParameterSpec params, SecureRandom random)`
`void` | `initialize(int keysize)`
`void` | `initialize(int keysize, SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyPairGenerator

    protected KeyPairGenerator(java.lang.String algorithm)

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

### getInstance

    public static KeyPairGenerator getInstance(java.lang.String algorithm)
                                        throws NoSuchAlgorithmException

  Throws:
    `NoSuchAlgorithmException`

### getInstance

    public static KeyPairGenerator getInstance(java.lang.String algorithm,
                                               java.lang.String provider)
                                        throws NoSuchAlgorithmException,
                                               NoSuchProviderException

  Throws:
    `NoSuchAlgorithmException`
    `NoSuchProviderException`

### getProvider

    public final Provider getProvider()

### initialize

    public void initialize(int keysize)

### initialize

    public void initialize(int keysize,
                           SecureRandom random)

  Specified by:
    `initialize` in class `KeyPairGeneratorSpi`

### initialize

    public void initialize(AlgorithmParameterSpec params)
                    throws InvalidAlgorithmParameterException

  Throws:
    `InvalidAlgorithmParameterException`

### initialize

    public void initialize(AlgorithmParameterSpec params,
                           SecureRandom random)
                    throws InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `KeyPairGeneratorSpi`
  Throws:
    `InvalidAlgorithmParameterException`

### genKeyPair

    public final KeyPair genKeyPair()

### generateKeyPair

    public KeyPair generateKeyPair()

  Specified by:
    `generateKeyPair` in class `KeyPairGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD